OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepAP214

# StepAP214_ExternalIdentificationItem Class Reference

Representation of STEP SELECT type ExternalIdentificationItem
.

`#include <StepAP214_ExternalIdentificationItem.hxx>`

Inheritance diagram for StepAP214_ExternalIdentificationItem:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP214_ExternalIdentificationItem ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of ExternalIdentificationItem select type 1 -> DocumentFile from StepBasic 2 -> ExternallyDefinedClass from StepAP214 3 -> ExternallyDefinedGeneralProperty from StepAP214 4 -> ProductDefinition from StepBasic 0 else .
Standard_EXPORT Handle_StepBasic_DocumentFile | DocumentFile () const
| Returns Value as DocumentFile (or Null if another type) .
Standard_EXPORT Handle_StepAP214_ExternallyDefinedClass | ExternallyDefinedClass () const
| Returns Value as ExternallyDefinedClass (or Null if another type) .
Standard_EXPORT Handle_StepAP214_ExternallyDefinedGeneralProperty | ExternallyDefinedGeneralProperty () const
| Returns Value as ExternallyDefinedGeneralProperty (or Null if another type) .
Standard_EXPORT Handle_StepBasic_ProductDefinition | ProductDefinition () const
| Returns Value as ProductDefinition (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_ExternalIdentificationItem::StepAP214_ExternalIdentificationItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepAP214_ExternalIdentificationItem::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepBasic_DocumentFile StepAP214_ExternalIdentificationItem::DocumentFile | ( |  | ) | const

Standard_EXPORT Handle_StepAP214_ExternallyDefinedClass StepAP214_ExternalIdentificationItem::ExternallyDefinedClass | ( |  | ) | const

Standard_EXPORT Handle_StepAP214_ExternallyDefinedGeneralProperty StepAP214_ExternalIdentificationItem::ExternallyDefinedGeneralProperty | ( |  | ) | const

void StepAP214_ExternalIdentificationItem::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP214_ExternalIdentificationItem::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP214_ExternalIdentificationItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepBasic_ProductDefinition StepAP214_ExternalIdentificationItem::ProductDefinition | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepAP214_ExternalIdentificationItem.hxx